> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zangtable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE /projects/{project}/auth/tokens/{token_id}

> Revokes a token by id.

Revokes a token by id.

## Endpoint details

<ParamField header="Authorization" type="string" required>
  Bearer `pat_...` (Project API Token). Keep this token on your backend/server.
</ParamField>

<ParamField path="project" type="string" required>
  Project slug. This acts as the Project ID in API paths.
</ParamField>

<ParamField path="token_id" type="string" required>
  Token ID returned by the token list or create response.
</ParamField>

<ResponseField name="ok" type="boolean" required>
  `true` for a successful response and `false` for an error response.
</ResponseField>

<ResponseField name="data" type="object | null">
  Endpoint-specific response data when `ok` is `true`; `null` on errors.
</ResponseField>

<ResponseField name="error" type="object | null">
  Error code and message when `ok` is `false`; `null` on success.
</ResponseField>

<ResponseField name="request_id" type="string" required>
  Request identifier you can use when troubleshooting a specific API call.
</ResponseField>

## Authentication

Project API Token. You may only revoke tokens your credential is allowed to manage.

## Parameters

Path: `token_id` integer required.

## Request examples

Basic request:

```bash theme={null}
curl -X DELETE "$BASE_URL/projects/{project}/auth/tokens/{token_id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN'
```

Full request:

```bash theme={null}
curl -X DELETE "$BASE_URL/projects/{project}/auth/tokens/{token_id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001'
```

## Response examples

Success:

```json theme={null}
{
  "ok": true,
  "data": {
    "revoked": true,
    "token_id": 9
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
```

Error or alternate response:

```json theme={null}
{
  "ok": false,
  "data": null,
  "error": {
    "code": "permission_denied",
    "message": "This credential cannot revoke that token."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
```
